Package csb :: Package bio :: Package io :: Module wwpdb :: Class RobustResidueMapper :: Class GlobalAligner

[frames] | no frames]

# Class GlobalAligner

source code

                                       object --+
                                                |
    sequence.alignment.AbstractAlignmentAlgorithm --+
                                                    |
          sequence.alignment.GlobalAlignmentAlgorithm --+
                                                        |
                                                       RobustResidueMapper.GlobalAligner

Nested Classes
Inherited from `sequence.alignment.AbstractAlignmentAlgorithm`: `__metaclass__`

Instance Methods
Inherited from `sequence.alignment.GlobalAlignmentAlgorithm`: `__init__` Inherited from `sequence.alignment.AbstractAlignmentAlgorithm`: `align` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `sequence.alignment.GlobalAlignmentAlgorithm`: `__abstractmethods__`

Properties
Inherited from `sequence.alignment.AbstractAlignmentAlgorithm`: `gap`, `scoring_matrix` Inherited from `object`: `__class__`